<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Btc | Bitcoin one way channel</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">Bitcoin one way channel</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="btc.html">Btc</a>
				</li>
			</ul>
			<h1>Class Btc</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>The Btc class is an helper to deal with the bitcoin unit and the satoshis
							unit. Btc provide static methods to create a Btc object from bitcoin unit
							and satoshis unit and provides methods to get the value in bitcoin and
						satoshis.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel tsd-hierarchy">
				<h3>Hierarchy</h3>
				<ul class="tsd-hierarchy">
					<li>
						<span class="target">Btc</span>
					</li>
				</ul>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section tsd-is-private tsd-is-private-protected">
							<h3>Constructors</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-private"><a href="btc.html#constructor" class="tsd-kind-icon">constructor</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-private tsd-is-private-protected">
							<h3>Properties</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><a href="btc.html#_value" class="tsd-kind-icon">_value</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static"><a href="btc.html#_satoshi_constant" class="tsd-kind-icon">_SATOSHI_<wbr>CONSTANT</a></li>
								<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static"><a href="btc.html#_satoshi_max" class="tsd-kind-icon">_SATOSHI_<wbr>MAX</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Methods</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#add" class="tsd-kind-icon">add</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#bitcoin" class="tsd-kind-icon">bitcoin</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#div" class="tsd-kind-icon">div</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#equals" class="tsd-kind-icon">equals</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#greaterthan" class="tsd-kind-icon">greater<wbr>Than</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#greaterthanorequal" class="tsd-kind-icon">greater<wbr>Than<wbr>OrEqual</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#iszero" class="tsd-kind-icon">is<wbr>Zero</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#lessthan" class="tsd-kind-icon">less<wbr>Than</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#lessthanorequal" class="tsd-kind-icon">less<wbr>Than<wbr>OrEqual</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#mul" class="tsd-kind-icon">mul</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#satoshis" class="tsd-kind-icon">satoshis</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class"><a href="btc.html#sub" class="tsd-kind-icon">sub</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="btc.html#frombitcoin" class="tsd-kind-icon">from<wbr>Bitcoin</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="btc.html#fromsatoshis" class="tsd-kind-icon">from<wbr>Satoshis</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="btc.html#isvalidsatoshi" class="tsd-kind-icon">is<wbr>Valid<wbr>Satoshi</a></li>
								<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><a href="btc.html#zero" class="tsd-kind-icon">zero</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-private tsd-is-private-protected">
				<h2>Constructors</h2>
				<section class="tsd-panel tsd-member tsd-kind-constructor tsd-parent-kind-class tsd-is-private">
					<a name="constructor" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> constructor</h3>
					<ul class="tsd-signatures tsd-kind-constructor tsd-parent-kind-class tsd-is-private">
						<li class="tsd-signature tsd-kind-icon">new <wbr>Btc<span class="tsd-signature-symbol">(</span>_v<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:35</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>construct an object an assign the given value in satoshis</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>_v: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-private tsd-is-private-protected">
				<h2>Properties</h2>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private">
					<a name="_value" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagPrivate">Private</span> _value</h3>
					<div class="tsd-signature tsd-kind-icon">_value<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">BigNumber</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/common/btc.ts:35</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>store the value in satoshis</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static">
					<a name="_satoshi_constant" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> <span class="tsd-flag ts-flagPrivate">Private</span> _SATOSHI_<wbr>CONSTANT</h3>
					<div class="tsd-signature tsd-kind-icon">_SATOSHI_<wbr>CONSTANT<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;100000000</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/common/btc.ts:22</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>constant used to transform satoshi to bitcoin and bitcoin to satoshi</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static">
					<a name="_satoshi_max" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> <span class="tsd-flag ts-flagPrivate">Private</span> _SATOSHI_<wbr>MAX</h3>
					<div class="tsd-signature tsd-kind-icon">_SATOSHI_<wbr>MAX<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> =&nbsp;2100000000000000</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in lib/common/btc.ts:25</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>constant max number of bitcoins in existence</p>
						</div>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Methods</h2>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="add" class="tsd-anchor"></a>
					<h3>add</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">add<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:105</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a new Btc object that contains the result of the additnew Btc(0);
										￼
									ion.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to add</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>the result of the addition</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="bitcoin" class="tsd-anchor"></a>
					<h3>bitcoin</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">bitcoin<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:84</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return the value cast in bitcoin.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
							<p>the value in btc</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="div" class="tsd-anchor"></a>
					<h3>div</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">div<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:141</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a new Btc object that contains the result of the division.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the divisor</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>the result of the division</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="equals" class="tsd-anchor"></a>
					<h3>equals</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">equals<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:153</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the two object have equal values, false otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to test with</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
							<p>the equality</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="greaterthan" class="tsd-anchor"></a>
					<h3>greater<wbr>Than</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">greater<wbr>Than<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:189</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the current object is greater than a, false otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to test with</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="greaterthanorequal" class="tsd-anchor"></a>
					<h3>greater<wbr>Than<wbr>OrEqual</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">greater<wbr>Than<wbr>OrEqual<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:199</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the current object is greater than or equal to a, false
									otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to test with</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="iszero" class="tsd-anchor"></a>
					<h3>is<wbr>Zero</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">is<wbr>Zero<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:161</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the value is zero, false otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
							<p>true if zero, false otherwise</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="lessthan" class="tsd-anchor"></a>
					<h3>less<wbr>Than</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">less<wbr>Than<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:170</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the current object is less than a, false otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to test with</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="lessthanorequal" class="tsd-anchor"></a>
					<h3>less<wbr>Than<wbr>OrEqual</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">less<wbr>Than<wbr>OrEqual<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:180</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return true if the current object is less than or equal to a, false
									otherwise.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to test with</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="mul" class="tsd-anchor"></a>
					<h3>mul</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">mul<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:129</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a new Btc object that contains the result of the multiplication.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the multiplier</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>the result of the multiplication</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="satoshis" class="tsd-anchor"></a>
					<h3>satoshis</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">satoshis<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:94</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return the value cast in satoshis.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">number</span></h4>
							<p>the value in satoshis</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class">
					<a name="sub" class="tsd-anchor"></a>
					<h3>sub</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class">
						<li class="tsd-signature tsd-kind-icon">sub<span class="tsd-signature-symbol">(</span>a<span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:117</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a new Btc object that contains the result of the substration.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>a: <a href="btc.html" class="tsd-signature-type">Btc</a></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the bitcoin to substract</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>the result of the substration</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="frombitcoin" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> from<wbr>Bitcoin</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">from<wbr>Bitcoin<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:66</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a Btc object after checking the validity of the given bitcoin
									value.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">number</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the number of bitcoin</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>a Btc object with the given value</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="fromsatoshis" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> from<wbr>Satoshis</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">from<wbr>Satoshis<span class="tsd-signature-symbol">(</span>value<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:56</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a Btc object after checking the validity of the given satoshis
									value.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>value: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span></h5>
									<div class="tsd-comment tsd-typography">
										<div class="lead">
											<p>the number of satoshis</p>
										</div>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>a Btc object with the given value</p>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="isvalidsatoshi" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> is<wbr>Valid<wbr>Satoshi</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">is<wbr>Valid<wbr>Satoshi<span class="tsd-signature-symbol">(</span>_v<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:28</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>validade whether the value can be converted to satoshis</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>_v: <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">BigNumber</span></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">boolean</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-method tsd-parent-kind-class tsd-is-static">
					<a name="zero" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagStatic">Static</span> zero</h3>
					<ul class="tsd-signatures tsd-kind-method tsd-parent-kind-class tsd-is-static">
						<li class="tsd-signature tsd-kind-icon">zero<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="btc.html" class="tsd-signature-type">Btc</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in lib/common/btc.ts:77</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Return a zero value in btc.</p>
								</div>
							</div>
							<h4 class="tsd-returns-title">Returns <a href="btc.html" class="tsd-signature-type">Btc</a></h4>
							<p>with a zero value</p>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-class">
						<a href="btc.html" class="tsd-kind-icon">Btc</a>
						<ul>
							<li class=" tsd-kind-constructor tsd-parent-kind-class tsd-is-private">
								<a href="btc.html#constructor" class="tsd-kind-icon">constructor</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private">
								<a href="btc.html#_value" class="tsd-kind-icon">_value</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static">
								<a href="btc.html#_satoshi_constant" class="tsd-kind-icon">_SATOSHI_<wbr>CONSTANT</a>
							</li>
							<li class=" tsd-kind-property tsd-parent-kind-class tsd-is-private tsd-is-static">
								<a href="btc.html#_satoshi_max" class="tsd-kind-icon">_SATOSHI_<wbr>MAX</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#add" class="tsd-kind-icon">add</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#bitcoin" class="tsd-kind-icon">bitcoin</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#div" class="tsd-kind-icon">div</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#equals" class="tsd-kind-icon">equals</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#greaterthan" class="tsd-kind-icon">greater<wbr>Than</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#greaterthanorequal" class="tsd-kind-icon">greater<wbr>Than<wbr>OrEqual</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#iszero" class="tsd-kind-icon">is<wbr>Zero</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#lessthan" class="tsd-kind-icon">less<wbr>Than</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#lessthanorequal" class="tsd-kind-icon">less<wbr>Than<wbr>OrEqual</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#mul" class="tsd-kind-icon">mul</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#satoshis" class="tsd-kind-icon">satoshis</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class">
								<a href="btc.html#sub" class="tsd-kind-icon">sub</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="btc.html#frombitcoin" class="tsd-kind-icon">from<wbr>Bitcoin</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="btc.html#fromsatoshis" class="tsd-kind-icon">from<wbr>Satoshis</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="btc.html#isvalidsatoshi" class="tsd-kind-icon">is<wbr>Valid<wbr>Satoshi</a>
							</li>
							<li class=" tsd-kind-method tsd-parent-kind-class tsd-is-static">
								<a href="btc.html#zero" class="tsd-kind-icon">zero</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>